%define major 1
%define pcscspy_major 0
%define libname %mklibname pcsclite %{major}
%define libpcscspy %mklibname pcscspy %{pcscspy_major}
%define devname %mklibname pcsclite -d

Summary:	M.U.S.C.L.E. PC/SC Framework for Linux
Name:		pcsc-lite
Version:	1.8.10
Release:	5
License:	BSD-like
Group:		System/Servers
Url:		http://pcsclite.alioth.debian.org
Source0:	https://alioth.debian.org/frs/download.php/3695/pcsc-lite-%{version}.tar.bz2
Source1:	https://alioth.debian.org/frs/download.php/3695/pcsc-lite-%{version}.tar.bz2.asc
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(udev)
Requires(post,preun,postun):	util-linux

%description
The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
in a very small form factor for communicating to smartcards and
readers.  PC/SC Lite uses the same winscard API as used under
Windows(R).  This package includes the PC/SC Lite daemon, a resource
manager that coordinates communications with smart card readers and
smart cards that are connected to the system, as well as other command
line tools.

%files
%doc AUTHORS DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/README.DAEMON
%dir %{_sysconfdir}/reader.conf.d/
%dir %{_libdir}/pcsc/drivers/
%{_unitdir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/*

%post
%_post_service pcscd
# systemd hack #1 (fix if you know how to do sockets better :))
if mountpoint -q /sys/fs/cgroup/systemd; then
	systemctl disable pcscd.service > /dev/null 2>&1
	systemctl enable pcscd.socket > /dev/null 2>&1

	# Initial installation
	if [ $1 -eq 1 ] ; then
		systemctl start pcscd.socket > /dev/null 2>&1
	fi
fi

%preun
# systemd hack #2
if mountpoint -q /sys/fs/cgroup/systemd; then
	# Removal, not upgrade
	if [ $1 -eq 0 ] ; then
		systemctl disable pcscd.socket > /dev/null 2>&1
		systemctl stop pcscd.socket > /dev/null 2>&1
	fi
fi

%_preun_service pcscd

%postun
if mountpoint -q /sys/fs/cgroup/systemd; then
	systemctl daemon-reload
fi

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Muscle PCSC Framework for Linux libraries
Group:		System/Libraries
Provides:	libpcsclite%{major} = %{EVRD}

%description -n %{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%files -n %{libname}
%doc COPYING
%{_libdir}/libpcsc*.so.%{major}*

#----------------------------------------------------------------------------

%package -n pcsc-spy
Summary:	PCSC API spy shared library
Group:		System/Libraries
Requires:	python
Requires:	%{name}
Requires:	%{libpcscspy} = %{EVRD}

%description -n pcsc-spy
The purpose of pcsc-spy is to spy all the calls between the PC/SC client
and the PC/SC library.

%files -n pcsc-spy
%{_bindir}/pcsc-spy
%{_mandir}/man1/pcsc-spy.1.*

#----------------------------------------------------------------------------

%package -n %{libpcscspy}
Summary:	PCSC Smart Card Library
Group:		System/Libraries

%description -n %{libpcscspy}
Supporting library for the PC/SC spy tool.

%files -n %{libpcscspy}
%{_libdir}/libpcscspy.so.%{pcscspy_major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Muscle PCSC Framework for Linux development files
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Requires:	%{libpcscspy} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	libpcsclite-devel = %{EVRD}

%description -n %{devname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%files -n %{devname}
%doc ChangeLog
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.so

#----------------------------------------------------------------------------

%package doc
Summary:	PC/SC Lite developer documentation
Group:		Documentation
Buildarch:	noarch

%description doc
PC/SC Lite developer documentation.

%files doc
%doc doc/api/ doc/example/pcsc_demo.c COPYING

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%serverbuild
%configure2_5x \
	--disable-static \
	--enable-ipcdir=%{_localstatedir}/run \
	--enable-usbdropdir=%{_libdir}/pcsc/drivers

%make
doxygen doc/doxygen.conf; rm -f doc/api/*.{map,md5}

%install
%makeinstall_std

# service files
install -d %{buildroot}%{_unitdir}
install -m 644 etc/pcscd.service %{buildroot}%{_unitdir}/pcscd.service
install -m 644 etc/pcscd.socket %{buildroot}%{_unitdir}/pcscd.socket

# Create empty directories
mkdir -p %{buildroot}%{_sysconfdir}/reader.conf.d
mkdir -p %{buildroot}%{_libdir}/pcsc/drivers
mkdir -p %{buildroot}%{_localstatedir}/run/pcscd


%changelog

* Sun Jan 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.8.10-5
- (6c59a4e) Fix post-scripts paths
- (6c59a4e) Spec cleanup


